Resolve a compliance alert
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/compliance/alerts/{id}/resolve \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"is_false_positive": true,
"resolution_notes": "<string>",
"resolved_by": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_false_positive: true, resolution_notes: '<string>', resolved_by: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/compliance/alerts/{id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/compliance/alerts/{id}/resolve"
payload = {
"is_false_positive": True,
"resolution_notes": "<string>",
"resolved_by": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}Compliance Alerts
Resolve a compliance alert
Mark a compliance alert as resolved or false positive
POST
/
compliance
/
alerts
/
{id}
/
resolve
Resolve a compliance alert
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/compliance/alerts/{id}/resolve \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"is_false_positive": true,
"resolution_notes": "<string>",
"resolved_by": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_false_positive: true, resolution_notes: '<string>', resolved_by: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/compliance/alerts/{id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/compliance/alerts/{id}/resolve"
payload = {
"is_false_positive": True,
"resolution_notes": "<string>",
"resolved_by": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}Authorizations
API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'
Path Parameters
Alert ID
Body
application/json
Resolution details
Response
OK
The response is of type object.
⌘I